> For the complete documentation index, see [llms.txt](https://docs.sonarsource.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonarsource.com/sonarqube-server/2026.2/analyzing-source-code/managing-incremental-analysis.md).

# Managing incremental analysis mechanisms

In very specific cases, you may have to disable or change the incremental analysis mechanism in SonarQube Server 2026.2.

## Disabling the Skip unchanged files mechanism <a href="#disable-skip-unchanged" id="disable-skip-unchanged"></a>

You can disable the Skip unchanged files mechanisms used by the Kotlin and Java analyzers by setting the `sonar.kotlin.skipUnchanged` or the `sonar.java.skipUnchanged` to `false`.

## Disabling the analysis cache mechanism <a href="#disable-analysis-cache" id="disable-analysis-cache"></a>

In particular cases, you may need to disable the analysis cache mechanism.

The analysis cache mechanism is enabled by default. If you disable it, the analyzer will analyze all files from scratch.

To disable the analysis cache mechanism, add the following parameter to your analysis (See [Analysis parameters](/sonarqube-server/2026.2/analyzing-source-code/analysis-parameters.md) for information about the setup of analysis parameters for the scanner.):

`sonar.analysisCache.enabled=false`

{% hint style="info" %}
The parameter `sonar.analysisCache.enabled` is not compatible with SonarScanner for .NET.
{% endhint %}

## Using the local filesystem for analysis caching <a href="#configure-filesystem-cache" id="configure-filesystem-cache"></a>

With the C/C++/Objective-C analyzer, you can configure the filesystem cache instead of using the analysis cache on the server. See also [Customizing the analysis](/sonarqube-server/2026.2/analyzing-source-code/languages/c-family/customizing-the-analysis.md) and [Analysis cache mechanism](/sonarqube-server/2026.2/discovering/code-analysis/incremental-analysis.md#analysis-cache).

## Related pages

* [Incremental analysis](/sonarqube-server/2026.2/discovering/code-analysis/incremental-analysis.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sonarsource.com/sonarqube-server/2026.2/analyzing-source-code/managing-incremental-analysis.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
